Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.security.audit
Interface ContextHandlerMBean

All Superinterfaces:
  weblogic.descriptor.DescriptorBean, weblogic.descriptor.SettableBean, weblogic.management.commo.StandardInterface

    public interface ContextHandlerMBean

extends weblogic.management.commo.StandardInterface, weblogic.descriptor.DescriptorBean

Provides a set of attributes for ContextHandler support. An Auditor provider MBean can optionally implement this MBean. The WebLogic Server Administration Console detects when an Auditor provider implements this MBean and automatically provides a tab for using these attributes.

### Deprecation of MBeanHome and Type-Safe Interfaces

In addition to being used as a base class that provides functionality to security provider MBeans, JMX applications can use this class directly as a type-safe interface. When used as a type-safe interface, a JMX application imports this class and accesses it through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, JMX applications that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

Method Summary
`String[]` | `getActiveContextHandlerEntries()` Returns the ContextHandler entries that the Audit provider is currently configured to process.
`String[]` | `getSupportedContextHandlerEntries()` Returns the list of all ContextHandler entries supported by the auditor.
`void` | `setActiveContextHandlerEntries(String[] types)` Sets the ContextHandler entries that the Audit provider will process.

Methods inherited from interface weblogic.management.commo.StandardInterface
`getName, setName, wls_getDisplayName, wls_getInterfaceClassName, wls_getObjectName`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Methods inherited from interface weblogic.descriptor.SettableBean
`isSet, unSet`

Method Detail

### getSupportedContextHandlerEntries

    String[] getSupportedContextHandlerEntries()

  Returns the list of all ContextHandler entries supported by the auditor.

### getActiveContextHandlerEntries

    String[] getActiveContextHandlerEntries()

  Returns the ContextHandler entries that the Audit provider is currently configured to process.

### setActiveContextHandlerEntries

    void setActiveContextHandlerEntries(String[] types)
                                        throws InvalidAttributeValueException

  Sets the ContextHandler entries that the Audit provider will process. Only entries from the Audit provider's `SupportedContextHandlerEntries` attribute may be specified.

  Throws:
    `InvalidAttributeValueException`
  See Also:
    `ContextHandlerMBean.getActiveContextHandlerEntries()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD